Subject: Re: draft-housley-binarytime-00.txt

From: Peter Sylvester <[email-masked]>
Date: Sun, 5 Sep 2004 18:39:56 +0200 (MEST)

> 
> Thanks for this new information.  However, i am aware of smartcard 
> environments without mktime().

Who needs mktime to convert an Z-zone Generalizedtime or UTCTime to
some binary value? 

The example that I have shown used gmtime, this is certainly not
a complex function, it is just a small real thing.

> 
> Russ
> 
> At 12:14 AM 9/3/2004, Peter Gutmann wrote:
> >Russ Housley <[email-masked]> writes:
> >
> > >1. Embedded systems may not have the rich set of functions that you are
> > >using here.
> >
> >As the author of the crypto toolkit that runs on a larger range of embedded
> >systems than any other [0], I can state that this point is invalid.  I've got
> >code running on systems without a clock that nevertheless still have
> >mktime() (OK, so you can't actually check the date against anything once
> >you've read it, but you can at least read it).  I've never encountered a
> >system where reading a UTCTime is a problem.
> >
> >Peter.
> >
> >[0] Until someone else proves otherwise :-).
> 
>